#
# spec file for package octave-forge-splines
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define octpkg  splines
Name:           octave-forge-%{octpkg}
Version:        1.3.4
Release:        bp155.2.13
Summary:        Additional spline functions for Octave
License:        GPL-2.0-or-later AND GPL-3.0-or-later AND SUSE-Public-Domain
Group:          Productivity/Scientific/Math
URL:            https://octave.sourceforge.io
Source0:        https://downloads.sourceforge.net/octave/%{octpkg}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  octave-devel
Requires:       octave-cli >= 3.6.0

%description
Additional spline functions.
This is part of the Octave-Forge project.

%prep
%setup -q -c %{name}-%{version}
%octave_pkg_src

%build
%octave_pkg_build

%install
%octave_pkg_install

%check
%octave_pkg_test

%post
%octave --eval "pkg rebuild"

%postun
%octave --eval "pkg rebuild"

%files
%defattr(-,root,root)
%{octpackages_dir}/%{octpkg}-%{version}

%changelog
* Sat Mar 13 2021 Atri Bhattacharya <badshah400@gmail.com>
- Update to version 1.3.4:
  * New functions regularization, regularization2D
* Wed Nov 27 2019 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to version 1.3.3:
  * Demo and efficiency improvement (and accuracy fix for new fminbnd
    default settings) in csaps_sel
  * Bug fix in csape
* Sun Jan  1 2017 dmitry_r@opensuse.org
- Update to version 1.3.2
  * Bug fixes
* Tue Jun  7 2016 dmitry_r@opensuse.org
- Update to version 1.3.1
  * csape default is now Lagrange boundary conditions (Matlab compatible)
  * csaps can return the fit degrees of freedom
* Wed Dec  2 2015 dmitry_r@opensuse.org
- Update to version 1.2.9
  * new function tps_val_der
  * vectorization option for speedup of tps_val
* Thu May  7 2015 dmitry_r@opensuse.org
- Update to verion 1.2.8
  * csaps now returns spline uncertainty at the fitting points xi,
    not at the data points x
* Thu Feb 26 2015 dmitry_r@opensuse.org
- Split from octave-forge package, version 1.2.7
